Assignee:
Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18558
Description

| have noted the following behaviour when undertaking batch processing of raster files in QGIS 2.2 on Windows 7 Professional.

Assign Projection

When reprojecting ECWSs using menu item 'Raster > Projections > Assign projection’ the ECWs are overwritten with the GeoTiffs
produced by GDAL but the file extensions are not affected, i.e. the ECWs change from 3Mb files to approximately 30Mb files and can,'t be
added to QGIS. If | then manually change the file extensions to .TIF then they can be added to QGIS and are in the newly assigned
projection.

Translate (Convert format)

| have also noted the same behaviour when translating to a different file format; using menu item 'Raster > Conversion > Translate
(Convert format)'. Given the size of the GeoTiffs created above, | attempted to reduce the size of the tiles by batch translating them to
JPEGs. Again the file sizes changed but the extensions remained the same and became unreadable by QGIS. Upon manually changing
the file extensions from .TIF to .JPEG they became readable.

| investigated a bit further and this behaviour seems to relate to the default setting in windows 'Folder Options' to 'Hide extensions of
known file types'. If this is enabled (the default setting in windows) then GDAL appears to ignore the file extensions. If | disable the
setting, so file extensions are not hidden then GDAL appears to operate correctly, creating new versions of the files with the correct file
extensions.

History

#1 - 2014-06-28 07:36 AM - Jiirgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
